"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd1c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd300>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd260>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd3a0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd440>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd4e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd580>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd620>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd6c0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd760>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd800>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd8a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd940>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cd9e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cda80>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cdb20>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cdbc0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cdc60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cdd00>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cdda0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cde40>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cdee0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cdf80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce020>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce0c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce160>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce200>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce2a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce340>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce3e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce480>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce520>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce5c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce660>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce700>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce7a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce840>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce8e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ce980>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cea20>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ceac0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ceb60>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cec00>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ceca0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff793ced40>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cede0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cee80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cef20>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cefc0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf060>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf100>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf1a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf240>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf2e0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf380>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf420>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf4c0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf560>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf600>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf6a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf740>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf7e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf880>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf920>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cf9c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cfa60>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cfb00>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cfba0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cfc40>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cfce0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cfd80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cfe20>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cfec0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff793cff60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff793e8040>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff793e80e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff793e8180>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff793e8220>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff793e82c0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff793e8400>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff793e8360>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff793e84a0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff793e8540>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff793e85e0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff793e8680>)]
name: str = 'fr_HOCCN'
